Come installo Adobe Flash Player?

102

Ho avuto problemi significativi con la visione di video flash su Ubuntu 64-bit. Qualcuno sa di un buon modo per far funzionare il flash sulla piattaforma?

    
posta Steven Oxley 28.07.2010 - 21:27
fonte

20 risposte

81

Per 11.04 e precedenti:

Lo stai installando dal Software Center di Ubuntu?

  1. Vai a Applicazioni- & gt; Ubuntu Software Center.
  2. Fai clic su Partner canonici
  3. Fai clic su Adobe Flash Plugin 11 e fai clic su Installa.

Nota: questo è il metodo che uso sulla mia installazione Ubuntu a 64 bit e deve ancora fallire.

    
risposta data Nathan Osman 28.07.2010 - 21:31
fonte
68

Per 11.10 e successivi

Avvia Software Center dal Launcher e cerca flash

Verranno trovate due voci. Il primo è il wrapper della versione flash a 32 bit di Adobe. Il secondo è la versione flash a 64 bit.

Seleziona la seconda voce del flash - se viene visualizzata la seguente immagine, non hai già abilitato in precedenza il Canonical Partner Repository.

FaiclicsuUlterioriinformazioni

... e fai clic su Utilizza questa fonte per abilitare il repository dei partner Canonical

vedilafinediquestarispostaperilbugreport

FaiclicsuInstalla

Fai clic sul pulsante Installa e inserisci la tua password quando richiesto. Nota: è necessario disporre dell'autorizzazione per installare il software.

L'installazioneproseguirà:

Una volta completato, avvia Firefox e naviga nel tuo video Flash. Fai clic con il pulsante destro del mouse e conferma che l'ultima versione di Flash è stata installata correttamente.

Nota-leimmaginisonosoggetteamodifiche-laversionea64bitèstatasolorecentementeimballatanell'ultimasettimanaprimadellaversioneOneiric-Unproblemaesisteattualmente:

  1. link

Nel frattempo - usa il primo plug-in "Multiverse" a 32 bit nelle immagini sopra o usa adobe-flashplugin

sudo apt-get install adobe-flashplugin
    
risposta data fossfreedom 10.10.2011 - 00:52
fonte
31

Ecco come installare Adobe Flash Plugin per Firefox:

  1. Vai alla pagina questa e seleziona l'opzione .tar.gz per altri Linux. Scarica il file.
  2. Spacchetta il plugin tar.gz e copia i file nella posizione appropriata.
  3. Salva localmente il plugin tar.gz e osserva la posizione in cui il file è stato salvato.
  4. Avvia il terminale e modifica le directory nella posizione in cui è stato salvato il file.
  5. Disimballare il file tar.gz. Una volta scompattato, vedrai quanto segue:

    • libflashplayer.so
    • / usr
  6. Identifica la posizione della directory dei plugin del browser, in base alla tua distribuzione Linux e alla versione di Firefox. (Di solito è /usr/lib/mozilla/plugins/ )
    Per il percorso ubuntu 14.04 è: /usr/lib/firefox/browser/plugins

  7. Copia libflashplayer.so nella directory dei plug-in del browser appropriata. Al prompt digitare:

    sudo cp libflashplayer.so <BrowserPluginsLocation>
    
  8. Copiare i file di configurazione delle impostazioni locali di Flash Player nella directory / usr. Al prompt digitare:

    sudo cp -r usr/* /usr
    
  9. Ora riavvia il browser.

risposta data ignite 04.09.2012 - 18:36
fonte
21

Dato che hai affermato che questa è la prima volta che usi Ubuntu. ti suggerisco di installare il pacchetto ubuntu-restricted-extras, questo include molte cose utili come adobe flash e codec e font MS ecc.

puoi farlo in molti modi.

Centro software: fai clic su questo link:

o in un terminale: digita sudo apt-get install ubuntu-restricted-extras

synaptic: cerca il pacchetto ubuntu-restricted-extras con il tasto destro del mouse sul pacchetto e seleziona installa, quindi seleziona mark. dopo aver fatto clic sul pulsante applica e verrà installato tutto.

    
risposta data Terry 02.04.2011 - 16:02
fonte
13

C'è una soluzione semplice per questo problema.

Apri il tuo Firefox e vai a Youtube . Clicca su qualsiasi video. Sicuramente non giocherà perché non hai installato nessun flash player. Ma Firefox ti promuoverà a install missing plug-in nella parte superiore. Basta fare clic su di esso e seguire la procedura. Dopo questo il tuo video inizierà a suonare. Assicurati di aver installato l'ultimo browser

O prova questo nel tuo terminale

sudo apt-get install flashplugin-installer
    
risposta data Kaktarua 04.09.2012 - 18:38
fonte
5

Scarica l'estensione Flash-Aid per Firefox. Si occuperà di scaricare e installare la versione appropriata per l'architettura del sistema e rimuoverà anche i plugin in conflitto. Se sei su 64 bit, consente anche di installare la versione di anteprima a 64 bit, che offre risultati migliori rispetto a 32 bit con nspluginwrapper.

BTW, se non riesci a copiare nulla nella cartella ~ / .mozilla / plugins, allora dovresti controllare la proprietà della cartella ~ / .mozilla. Dovrebbe permettere di copiare qualcosa lì. A meno che non ci si riferisca ad una cartella di sistema al di fuori della propria directory home, che richiede il privilegio di root.

    
risposta data lovinglinux 02.12.2010 - 13:40
fonte
4

Dipende dal browser utilizzato. Google Chrome (non Chromium) ha Flash player per impostazione predefinita.

Vai a www.google.com/chrome e fai clic su Scarica Chrome Scegli .deb a 64 bit (chiunque lo legga utilizzando macchine a 32 bit dovrebbe selezionare il file .deb a 32 bit)

Quando fai clic sul file .deb quando è scaricato, si aprirà nel Software Center. Ora fai clic su Installa e al termine, puoi trovare il browser in Applicazioni - & gt; Internet.

    
risposta data Mozart321 02.04.2011 - 22:00
fonte
2

Usa Ubuntu Software Center (nel menu Applicazioni). Nel campo di immissione del testo (della casella di ricerca), puoi cercare "flash" e i risultati popoleranno un plug-in Adobe Flash (notare il logo Adobe). Sceglila e segui le istruzioni per utilizzare la fonte.

    
risposta data Daniel T Chen 01.12.2010 - 20:14
fonte
2

Verifica due volte quale directory "plugin" è in uso. Ho dovuto passare un'ora buona solo una volta attraverso tutte le directory dei plugin fino a quando ho trovato quelli che il mio firefox stava effettivamente leggendo, e poi ln -s li ha tutti per indicarne uno comune.

Alla fine della giornata potresti cadere nel posto sbagliato.

Anche avvia firefox dalla riga di comando, potresti vedere errori. Esempio sta eseguendo un flash player x86 in un browser x64 (non os) e viceversa. Dalla riga di comando ( %> firefox ) dovresti vedere le linee di log di inizializzazione del plugin. (forse prova prima questo: P)

Inoltre qualsiasi cosa in /usr/lib/... è di proprietà di root, quindi dovresti sudo cp libflashplayer.so /usr/lib/firefox/plugin dove .../firefox/plugin punta alla posizione della directory del plugin firefox.

    
risposta data Dmitriy Likhten 01.12.2010 - 20:51
fonte
2

Risoluzione definitiva per Flash a 64 bit su 11.10

Ho risolto Flash a 64 bit sui miei 11.10 sistemi senza alcun wrapper. Se segui le soluzioni sopra menzionate, finirai comunque con la versione a 32 bit e con i wrapper.

Nota: la maggior parte di questo può essere fatto anche in un terminale, in tal caso non è necessario installare Synaptic. Inoltre, potrebbe essere sufficiente eseguire i passaggi 5, 6 e 8, ma non l'ho ancora provato.

  1. Installa Synaptic (Software Center non mostra il pacchetto di cui hai bisogno, non negli elementi principali e non all'interno degli elementi tecnici e nemmeno dopo che è stato installato)
  2. Avvia Synaptic e cerca "flash"
  3. Ordina per stato installato
  4. Rimuovi tutti i pacchetti relativi a Flash (come flashplugin-downloader: i386, flashplugin-installer, ndiswrapper-common ecc.). Se non c'è nulla in elenco probabilmente non hai installato affatto Flash. In tal caso, vai al passaggio successivo.
  5. Abilita il repository partner Canonical (vedi i post precedenti su come farlo)
  6. Aggiorna l'elenco dei pacchetti (non contare su Software Center che fa questo per te, a volte no) facendo clic su "Ricarica" in
  7. Cerca di nuovo "flash"
  8. Installa il pacchetto 'adobe-flashplugin'. Se non è nella lista, qualcosa è andato storto con l'aggiornamento degli elenchi di pacchetti. Prova a chiudere e riavviare Synapic, quindi fai clic su "Ricarica".

Un pacchetto extra, 'adobe-flash-properties-gtk' verrà installato automaticamente. Niente di più.

Ora avrai pieno Flash a 64 bit senza wrapper e altri rifiuti in Firefox e Chromium. Tuttavia, è necessario un riavvio dei browser. Se ancora non funziona, prova un riavvio (potrebbe esserci qualche riferimento falso ai vecchi plugin da qualche parte).

    
risposta data iGadget 12.11.2011 - 13:18
fonte
2
sudo apt-get remove --purge adobe-flashplugin flashplugin* nspluginwrapper
sudo apt-get install --reinstall adobe-flashplugin

Rif: link

    
risposta data Coc 20.11.2011 - 11:21
fonte
2

Ecco cosa devi fare: per impostazione predefinita, Ubuntu viene fornito con il solo software open source abilitato (penso che sia il caso, comunque).

Il modo in cui abiliti altre cose (come Flash, Java e il supporto per la registrazione o la riproduzione di MP3, che NON è open source) è quello di andare nel tuo Software Center, andare nei menu (sfortunatamente non sono attualmente su Ubuntu e non può dirti quale menu) e cercare Sorgenti software.

Fai clic e verrai portato in una finestra che indica a Ubuntu cosa è autorizzato a installare per te. Di fronte a te dovrebbe esserci una lista di cinque diversi "universi". Quello che devi fare è abilitare i due che non sono attualmente abilitati.

Dopodiché dovrebbe chiederti se vuoi ricaricare i tuoi repository, ma in caso contrario, entra in una riga di comando e digita

sudo apt-get update

e lascia che finisca. Quindi dovresti essere in grado di trovare il flash nel Software Center o nella riga di comando. In alternativa puoi installare il pacchetto ubuntu-restricted-extras, che ti darà tutte e tre le cose che ho menzionato sopra.

Buona fortuna!

    
risposta data Noah 04.09.2012 - 18:14
fonte
2

Ho trovato il maggior numero di suggerimenti possibili che ho trovato nel tentativo di far funzionare il flash in Chrome sulla mia installazione 13.10 a 64 bit. Niente ha funzionato Alla fine sono incappato nella risposta Pepper Flash.

Ci sono istruzioni complete e ben scritte su (link is direct)

ubuntuhandbook.org

Descrivono in dettaglio l'aggiunta del repository, l'aggiornamento di apt, l'installazione di Pepper e la modifica della configurazione di Chrome. La cosa che ho fatto diversamente dalle loro istruzioni era di passare alla directory / etc / chromium-browser ed eseguire il comando

sudo gedit default

che mi ha permesso di aggiungere un commento al file oltre alle informazioni necessarie .sh in modo che le ultime due righe del mio file predefinito modificato fossero:

# enable Pepper Flash Player Plugin
. /usr/lib/pepflashplugin-installer/pepflashplayer.sh

Speriamo che questa soluzione funzioni per un po 'di tempo.

    
risposta data zenpistolero 03.05.2014 - 01:58
fonte
2

I video Flash non possono essere riprodotti su una nuova installazione di Ubuntu 14.04, anche con adobe-flashplugin dal repository "partner" - hanno schermo nero su youtube (tranne dopo aver impostandolo per usare HTML5 ), dailymotion, ecc. Installazione di freshplayerplugin (apparentemente un wrapper per il flash player di Chrome) ha risolto il problema:

sudo add-apt-repository ppa:nilarimogard/webupd8
sudo apt-get update
sudo apt-get install freshplayerplugin
    
risposta data Skippy le Grand Gourou 22.08.2015 - 09:33
fonte
1

Nel caso in cui

sudo apt-get install flashplugin-nonfree

non funziona (come nel mio caso e non so perché ...), potresti voler dare a Opera il tuo browser. È l'unico che funziona per me.

PS: non voglio pubblicizzare Opera in un browser, è solo che questa era l'unica soluzione che in qualche modo funzionava per me.

    
risposta data Remi Meier 14.08.2010 - 15:19
fonte
1

Ho appena trovato una soluzione per chi ha flash che funziona su Firefox ma non su Chromium. Si basa sul fatto che ogni browser ha la propria directory dei plugin:

  • / usr / lib / firefox-addons / plugins (per Firefox)
  • / usr / lib / chromium-browser / plugins (per Chromium)

Quindi, l'unica cosa che devi fare è unificarli, ovvero renderne uno il link all'altro. Probabilmente, tutti i plugin si trovano nella directory dei plugin di Firefox, ma non vale la pena di garantire che:

ls -l /usr/lib/{mozilla,chromium-browser}/plugins

Se Firefox è quello in cui sono presenti tutti i plugin, fai il prossimo. In caso contrario, fai il contrario:

sudo rmdir /usr/lib/chromium-browser/plugins
sudo ln -s /usr/lib/mozilla/plugins /usr/lib/chromium-browser/

Infine, riavvia Chromium in modo che le modifiche abbiano effetto.

Probabilmente, non sarebbe una cattiva idea creare un bug report sui manutentori dei pacchetti Chromium / Firefox per avvisare del bug e della soluzione semplice.

    
risposta data emi 16.08.2012 - 19:19
fonte
1

Bene, lo posto qui, nella speranza di aiutare qualcuno. Dico quello che stava succedendo e come l'ho risolto.

SETUP:
    Esecuzione 12.04 da un'installazione WUBI.

PROBLEMA:
    Quando ho cercato su Ubuntu Software Center la parola chiave flash , nessuna delle opzioni pubblicate qui è apparsa tranne ONE per flash plugin per Mozilla. Durante il tentativo di installarlo, ho ricevuto un errore di dipendenza.

Ho provato a installarlo tramite Ubuntu Restricted Extras da Ubuntu Software Center, tuttavia la parte del plug-in flash di questa installazione non funzionava a causa dell'errore di dipendenza.

Tenuto alla ricerca e trovato questo comando per installare il plugin

sudo apt-get install flashplugin-nonfree

e lo ha eseguito dal terminale.

Stesso errore di dipendenza con questo output:

Reading package lists... Done Building dependency tree        
Reading state information... Done Note, selecting 'flashplugin-installer' instead of 'flashplugin-nonfree' 
Some packages could not be installed. This may mean that you have requested an impossible situation or if you are using the unstable distribution that some required packages have not yet been created or been moved out of Incoming. 
The following information may help to resolve the situation:
The following packages have unmet dependencies:  
 flashplugin-installer : 
 Depends: libnspr4-0d but it is not going to be installed E: Unable to correct problems, you have held broken packages.

SOLUZIONE:

Ho eseguito

sudo apt-get install -f 

e poi

sudo apt-get update 

che ho trovato da qualche altro post che stava cercando di risolvere le dipendenze.

Poi ho eseguito

sudo apt-get install flashplugin-nonfree

e il plug-in Flash ora funziona su Chromium e Firefox.

    
risposta data Joel 02.10.2012 - 17:55
fonte
1

Dipende da come stai installando. è tramite un file tar.gz o rpm o qualche altro metodo. Ci sono molti modi per fare il flash.

Download link: https://get.adobe.com/flashplayer/

Installation instructions
-------------------------

Installing using the plugin tar.gz:
    o Unpack the plugin tar.gz and copy the files to the appropriate location.  
    o Save the plugin tar.gz locally and note the location the file was saved to.
    o Launch terminal and change directories to the location the file was saved to.
    o Unpack the tar.gz file.  Once unpacked you will see the following:
        + libflashplayer.so
        + /usr
    o Identify the location of the browser plugins directory, based on your Linux distribution and Firefox version
    o Copy libflashplayer.so to the appropriate browser plugins directory.  At the prompt type:
        + cp libflashlayer.so <BrowserPluginsLocation>
    o Copy the Flash Player Local Settings configurations files to the /usr directory.  At the prompt type:
        + sudo cp -r usr/* /usr

Installing the plugin using RPM:
   o As root, enter in terminal:
          + # rpm -Uvh <rpm_package_file>
          + Click Enter key and follow prompts

Installing the standalone player:
   o Unpack the tar.gz file
   o To execute the standalone player,
          + Double-click, or 
          + Enter in terminal: ./flashplayer

Bonus:

Uninstallation instructions
---------------------------

Manual uninstallation (for users who installed the plugin via Install script):
   o Delete libflashplayer.so binary and flashplayer.xpt file in 
   directory /home/<user>/.mozilla/plugins/

RPM uninstallation:
   o As root, enter in terminal:
          + # rpm -e flash-plugin
          + Click Enter key and follow prompts
    
risposta data Revanth Kumar 02.05.2015 - 03:59
fonte
0

Ho controllato molte risposte su questo argomento la scorsa settimana. Finalmente ho trovato un collegamento con una soluzione che funziona:

link

Fondamentalmente, la risposta è che sembra essere rimosso da tutte le fonti software e devi scaricare una vecchia versione e installarla manualmente

    
risposta data palbeda 12.04.2017 - 16:33
fonte
0
% Bl0ck_qu0te%

%Bl0ck_qu0te%

EsisteunaproceduradiinstallazionemanualediAdobeFlashPlayersuUbuntu,attenersiallaseguenteprocedura:-

  1. Apri questo link . Ti suggerirà automaticamente una versione in base al tuo ambiente desktop.

  2. Seleziona l'opzione .tar.gz for Linux come mostrato nella schermata qui sotto.

  3. OrafaiclicsuPulsanteDownload(selezionailpercorsodidownloadcomeDownloadneltuosistemaperunfacileaccesso).

  4. OraestraiilfilediRightclickingsullacartellaeselezionandol'opzioneExtractHere.

  5. ApriTerminaleCTRL+ALT+Tecopiasottocomandounoperuno

    5.1.%Co_de%

    5.2.cd../(es.paper96)

    5.3.cdyour-pc-name(questaèlacartellaincuihaiscaricatoilfileinOpzione3).

    5.4.cdDownloads(Ilnomedelfilepotrebbeesserediverso,bastacopiareilnomedelfileeincollarlonelterminale)

    5.5.cdflash_player_npapi_linux.x86_64premiinvioequestoètutto.

  6. Orachiudiilbrowser(Firefox)eilterminale.

  7. RiavviaFirefoxeorahaiFlashPlayerneltuobrowser.Visita questo link per verificare.

risposta data Pankaj Gautam 17.07.2017 - 09:52
fonte

Leggi altre domande sui tag